Package com.sas.services.information.metadata

# Interface GridApplicationInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

All Known Implementing Classes:
  `OMRGridApplication`

public interface GridApplicationInterface extends MetadataInterface

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GOS_FOLDER`
  `static final String`
  `GRIDMGR_FOLDER`
  `static final String`
  `GRIDSERVER`
  `static final String`
  `IDENTITYTYPE`
  `static final String`
  `PROPERTYSET`
  `static final String`
  `SHAREDDATA_FOLDER`

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<HashMap<String,String>>`
  `getGOSRelatedObjects()`
  `List<com.sas.metadata.remote.ServerComponent>`
  `getGOSRelatedServers()`
  `List<String>`
  `getGridOptions()`
  `List<String>`
  `getRequiredResources()`
  `List<String>`
  `getSASOptions()`
  `List<String>`
  `getUserMappings()`
  `void`
  `setGridOptions(List<String> gridOptions)`
  `void`
  `setRequiredResources(List<String> resources)`
  `void`
  `setSASOptions(List<String> SASOptions)`
  `void`
  `setUserMappings(List<String> users)`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Field Details

  - ### IDENTITYTYPE

    static final String IDENTITYTYPE
    See Also:
      - Constant Field Values

  - ### PROPERTYSET

    static final String PROPERTYSET
    See Also:
      - Constant Field Values

  - ### GRIDSERVER

    static final String GRIDSERVER
    See Also:
      - Constant Field Values

  - ### SHAREDDATA_FOLDER

    static final String SHAREDDATA_FOLDER
    See Also:
      - Constant Field Values

  - ### GRIDMGR_FOLDER

    static final String GRIDMGR_FOLDER
    See Also:
      - Constant Field Values

  - ### GOS_FOLDER

    static final String GOS_FOLDER
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getRequiredResources

    List<String> getRequiredResources() throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setRequiredResources

    void setRequiredResources(List<String> resources) throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getGridOptions

    List<String> getGridOptions() throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setGridOptions

    void setGridOptions(List<String> gridOptions) throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getSASOptions

    List<String> getSASOptions() throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setSASOptions

    void setSASOptions(List<String> SASOptions) throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getUserMappings

    List<String> getUserMappings() throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setUserMappings

    void setUserMappings(List<String> users) throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getGOSRelatedServers

    List<com.sas.metadata.remote.ServerComponent> getGOSRelatedServers() throws RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getGOSRelatedObjects

    List<HashMap<String,String>> getGOSRelatedObjects() throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`